- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ClpPrimalColumnDantzig Class Reference

Primal Column Pivot Dantzig Algorithm Class. More...

`#include <ClpPrimalColumnDantzig.hpp>`

Inheritance diagram for ClpPrimalColumnDantzig:

[legend]
Collaboration diagram for ClpPrimalColumnDantzig:

[legend]
List of all members.

## Public Member Functions
Algorithmic methods
virtual int | pivotColumn (CoinIndexedVector *updates, CoinIndexedVector *spareRow1, CoinIndexedVector *spareRow2, CoinIndexedVector *spareColumn1, CoinIndexedVector *spareColumn2)
| Returns pivot column, -1 if none.
virtual void | saveWeights (ClpSimplex *model, int mode)
| Just sets model.
Constructors and destructors
| ClpPrimalColumnDantzig ()
| Default Constructor.
| ClpPrimalColumnDantzig (const ClpPrimalColumnDantzig &)
| Copy constructor.
ClpPrimalColumnDantzig & | operator= (const ClpPrimalColumnDantzig &rhs)
| Assignment operator.
virtual | ~ClpPrimalColumnDantzig ()
| Destructor.
virtual ClpPrimalColumnPivot * | clone (bool copyData=true) const
| Clone.

## Detailed Description

Primal Column Pivot Dantzig Algorithm Class.

This is simplest choice - choose largest infeasibility

Definition at line 16 of file ClpPrimalColumnDantzig.hpp.

## Constructor & Destructor Documentation

ClpPrimalColumnDantzig::ClpPrimalColumnDantzig | ( |  | ) |

Default Constructor.

ClpPrimalColumnDantzig::ClpPrimalColumnDantzig | ( | const ClpPrimalColumnDantzig & |  | ) |

Copy constructor.

virtual ClpPrimalColumnDantzig::~ClpPrimalColumnDantzig | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

virtual int ClpPrimalColumnDantzig::pivotColumn | ( | CoinIndexedVector * | updates,
|  | CoinIndexedVector * | spareRow1,
|  | CoinIndexedVector * | spareRow2,
|  | CoinIndexedVector * | spareColumn1,
|  | CoinIndexedVector * | spareColumn2 |
| ) |  |  | `[virtual]`

Returns pivot column, -1 if none.

Lumbers over all columns - slow The Packed CoinIndexedVector updates has cost updates - for normal LP that is just +-weight where a feasibility changed. It also has reduced cost from last iteration in pivot row Can just do full price if you really want to be slow

Implements ClpPrimalColumnPivot.

virtual void ClpPrimalColumnDantzig::saveWeights | ( | ClpSimplex * | model,
|  | int | mode |
| ) |  |  | `[inline, virtual]`

Just sets model.

Implements ClpPrimalColumnPivot.

Definition at line 37 of file ClpPrimalColumnDantzig.hpp.

References ClpPrimalColumnPivot::model(), and ClpPrimalColumnPivot::model_.

ClpPrimalColumnDantzig& ClpPrimalColumnDantzig::operator= | ( | const ClpPrimalColumnDantzig & | rhs | ) |

Assignment operator.

virtual ClpPrimalColumnPivot* ClpPrimalColumnDantzig::clone | ( | bool | copyData = `true` | ) | const`[virtual]`

Clone.

Implements ClpPrimalColumnPivot.

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Osi-0.98.1/Clp/src/ClpPrimalColumnDantzig.hpp